## prometheus-mqtt-exporter 0.1.4

=== Makefile ===
ifndef GOPATH
  GOPATH:=$(shell go env GOPATH)
endif

ifndef GOBIN
  GOBIN:=$(GOPATH)/bin
endif

ifndef GOARCH
  GOARCH:=$(shell go env GOARCH)
endif

ifndef GOOS
  GOOS:=$(shell go env GOOS)
endif

ifndef GOARM
  GOARM:=$(shell go env GOARM)
endif

ifndef TARGET_FILE
  TARGET_FILE:=bin/mqtt2prometheus.$(GOOS)_$(GOARCH)$(GOARM)
endif

all: build

GO111MODULE=on


lint:
	golangci-lint run

test:
	go test ./...
	go vet ./...

build:
	GOOS=$(GOOS) GOARCH=$(GOARCH) go build -o $(TARGET_FILE) ./cmd

static_build:
	CGO_ENABLED=0 GOOS=$(GOOS) GOARCH=$(GOARCH) go build -o $(TARGET_FILE) -a -tags netgo -ldflags '-w -extldflags "-static"' ./cmd

container:
	docker build -t mqtt2prometheus:latest .

test_release:
	goreleaser --rm-dist --skip-validate --skip-publish

=== debian/changelog ===
prometheus-mqtt-exporter (0.1.4-2) unstable; urgency=medium

  * Add missing daemon | systemd-sysv dependency.

 -- Martina Ferrari <tina@debian.org>  Fri, 20 Nov 2020 19:09:21 +0000

prometheus-mqtt-exporter (0.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #975280)

 -- Martina Ferrari <tina@debian.org>  Fri, 20 Nov 2020 00:43:07 +0000

=== debian/control ===
Source: prometheus-mqtt-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martina Ferrari <tina@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-eclipse-paho.mqtt.golang-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-thedevsaddam-gojsonq-dev,
 golang-go.uber-zap-dev,
 golang-prometheus-client-dev,
 golang-yaml.v2-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mqtt-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mqtt-exporter.git
Homepage: https://github.com/hikhvar/mqtt2prometheus
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hikhvar/mqtt2prometheus

Package: prometheus-mqtt-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 daemon | systemd-sysv,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for metrics sent via MQTT topics
 This exporter translates from MQTT topics to prometheus metrics, allowing
 small/IoT devices that can't be polled directly to be monitored.
 .
 Clients push metrics as abritrary JSON messages via MQTT to an MQTT Broker.
 This exporter subscribes to the broker and publish the received messages as
 prometheus metrics.
 .
 While the upstream project is called `mqtt2prometheus`, the Debian packaging
 uses the name `prometheus-mqtt-exporter` for consistency with other exporters.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1

BUILDDIR := $(CURDIR)/build

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS   =
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X main.Version=$(DEB_VERSION_UPSTREAM) \
    -X main.Revision=$(DEB_VERSION) \
    -X main.Branch=$(BRANCH) \
    -X main.BuildUser=$(USER) \
    -X main.BuildDate=$(BUILD_DATE) \
    -X main.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
            --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the Debian package name.
	mv -v $(BUILDDIR)/bin/cmd $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source

## prometheus-mqtt-exporter 0.1.7

=== Makefile ===
ifndef GOBINARY
  GOBINARY:="go"
endif

ifndef GOPATH
  GOPATH:=$(shell $(GOBINARY) env GOPATH)
endif

ifndef GOBIN
  GOBIN:=$(GOPATH)/bin
endif

ifndef GOARCH
  GOARCH:=$(shell $(GOBINARY) env GOARCH)
endif

ifndef GOOS
  GOOS:=$(shell $(GOBINARY) env GOOS)
endif

ifndef GOARM
  GOARM:=$(shell $(GOBINARY) env GOARM)
endif

ifndef TARGET_FILE
  TARGET_FILE:=bin/mqtt2prometheus.$(GOOS)_$(GOARCH)$(GOARM)
endif

all: build

GO111MODULE=on


lint:
	golangci-lint run

test:
	$(GOBINARY) test ./...
	$(GOBINARY) vet ./...

build:
	GOOS=$(GOOS) GOARCH=$(GOARCH) $(GOBINARY) build -o $(TARGET_FILE) ./cmd

static_build:
	CGO_ENABLED=0 GOOS=$(GOOS) GOARCH=$(GOARCH) $(GOBINARY) build -o $(TARGET_FILE) -a -tags netgo -ldflags '-w -extldflags "-static"' ./cmd

container:
	docker build -t mqtt2prometheus:latest .

test_release:
	goreleaser --rm-dist --skip-validate --skip-publish

=== debian/changelog ===
prometheus-mqtt-exporter (0.1.7-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:29:42 +1000

prometheus-mqtt-exporter (0.1.7-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 11:33:43 +1000

prometheus-mqtt-exporter (0.1.7-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:17:53 +0530

prometheus-mqtt-exporter (0.1.7-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:41 +1200

prometheus-mqtt-exporter (0.1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2 (no changes)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 02 Feb 2023 03:32:51 +0000

prometheus-mqtt-exporter (0.1.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #1020676)
  * Add new build-deps:
    - golang-github-go-kit-kit-dev
    - golang-github-prometheus-exporter-toolkit-dev
  * Add new 0002-Support_newer_exporter-toolkit.patch
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 08 Dec 2022 04:21:29 +0000

prometheus-mqtt-exporter (0.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)
  * Replace dh-golang with dh-sequence-golang
  * d/control: wrap-and-sort -at
  * d/control: modernize Go build-dep package names
  * d/gbp.conf: update to current team workflow standard

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 07 Dec 2022 04:35:56 +0000

=== debian/control ===
Source: prometheus-mqtt-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-eclipse-paho.mqtt.golang-dev,
               golang-github-go-kit-kit-dev (>= 0.9.0),
               golang-github-patrickmn-go-cache-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
               golang-github-thedevsaddam-gojsonq-dev,
               golang-go.uber-zap-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mqtt-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mqtt-exporter.git
Homepage: https://github.com/hikhvar/mqtt2prometheus
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hikhvar/mqtt2prometheus

Package: prometheus-mqtt-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for metrics sent via MQTT topics
 This exporter translates from MQTT topics to prometheus metrics, allowing
 small/IoT devices that can't be polled directly to be monitored.
 .
 Clients push metrics as abritrary JSON messages via MQTT to an MQTT Broker.
 This exporter subscribes to the broker and publish the received messages as
 prometheus metrics.
 .
 While the upstream project is called `mqtt2prometheus`, the Debian packaging
 uses the name `prometheus-mqtt-exporter` for consistency with other exporters.

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
     -X main.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)

=== debian/watch ===
version=4

opts="\
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mqtt2prometheus-$1.tar.gz%,\
 uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/hikhvar/mqtt2prometheus/tags \
  .*/v?(\d\S*)\.tar\.gz debian
